Skip to content
Navigation

Get profile experience

GET
https://api.sureshake.com/v2/directory/{subjectType}/{slug}/profile-experience

Authorization

  • BearerAuth
    optional
    HTTP

Path parameters

  • subjectType
    person
    or
    entity
    required
  • slug
    string
    required
    maxLength: 255 · minLength: 1

Query parameters

  • privateBrowsing
    optional
    boolean
    default: false
  • source
    optional
    string
    maxLength: 100 · minLength: 1 · default: "direct"

Returns

200

Default Response

JSON
  • data
    object
    required
    • listingId
      string
      required
      format: uuid
    • subjectType
      person
      or
      entity
      required
    • slug
      string
      required
    • recordOrigin
      owner_created
      or
      admin_seeded
      or
      public_dataset
      or
      regulatory_source
      or
      researched
      or
      relationship_discovered
      +1 more
      required
    • publicEligible
      boolean
      required
    • indexEligible
      boolean
      required
    • eligibilityReasonCodes
      array of
      string
      required
    • eligibilityEvaluatedAt
      string
      or null
      required
      format: date-time
    • presentationState
      reference_unclaimed
      or
      claim_pending
      or
      managed_no_filings
      or
      managed_public_filings
      or
      managed_permissioned_packages
      or
      managed_mixed_record
      +2 more
      required
    • profileKind
      investor
      or
      operating_company
      or
      public_company
      or
      person
      or
      other
      required
    • marketIdentity
      object
      or null
      required
      • marketStatus
        public
        required
      • ticker
        string
        or null
        required
      • exchange
        string
        or null
        required
    • investorProfile
      object
      or null
      required
      • stages
        array of
        string
        required
      • checkRange
        object
        or null
        required
        • min
          number
          or null
          required
        • max
          number
          or null
          required
        • currency
          string
          or null
          required
      • checkRangeText
        string
        or null
        required
      • sectors
        array of
        string
        required
      • geographies
        array of
        string
        required
      • leadPreference
        string
        or null
        required
      • funds
        array of
        object
        required
        • name
          string
          required
        • vintageYear
          integer
          or null
          required
      • team
        array of
        object
        required
        • name
          string
          required
        • role
          string
          or null
          required
      • announcedPortfolio
        array of
        object
        required
        • name
          string
          required
        • url
          string
          or null
          required
        • sourceKind
          string
          or null
          required
      • confirmedRelationships
        array of
        object
        required
        • counterpartyName
          string
          required
        • kind
          string
          required
    • profile
      object
      required
      • listingId
        string
        required
        format: uuid
      • subjectType
        person
        or
        entity
        required
      • slug
        string
        required
      • versionId
        string
        required
        format: uuid
      • version
        integer
        required
        minimum: 0
      • snapshot
        object
        required
        • identity
          object
          required
          • displayName
            string
            required
            maxLength: 255 · minLength: 1
          • aliases
            optional
            array of
            string
            maxLength: 255 · minLength: 1
          • avatarUrl
            optional
            string
            or null
            format: uri
          • logoUrl
            optional
            string
            or null
            format: uri
        • overview
          optional
          string
          or null
          maxLength: 5000
        • location
          optional
          string
          or null
          maxLength: 255
        • category
          optional
          string
          or null
          maxLength: 255
        • websiteUrl
          optional
          string
          or null
          format: uri
        • experienceOrTeam
          optional
          array of
          map<unknown>
        • credentials
          optional
          array of
          map<unknown>
        • businessDetails
          optional
          map of
          unknown
        • publicEvidence
          optional
          array of
          map<unknown>
        • capitalProviderProfile
          optional
          object
          • profileType
            vc_professional
            or
            angel_investor
            or
            scout
            or
            family_office_professional
            or
            accelerator_or_venture_studio
            or
            corporate_venture_professional
            +1 more
            required
        • directEmail
          optional
          string
          or null
          format: email
        • directPhone
          optional
          string
          or null
          maxLength: 50 · minLength: 3
        • streetAddress
          optional
          string
          or null
          maxLength: 500 · minLength: 3
        • composition
          optional
          array of
          object
          • blockType
            header
            or
            trust
            or
            about
            or
            team
            or
            metrics
            or
            capital_graph
            +16 more
            required
          • order
            integer
            required
          • visibility
            optional
            public
            or
            follower
            or
            capital
            or
            diligence
            or
            custom
            default: "public"
          • config
            optional
            map of
            unknown
        • capitalProviderVerification
          optional
          object
          • identity
            object
            required
            • status
              verified
              required
            • verifiedAt
              string
              required
              format: date-time
            • expiresAt
              string
              or null
              required
              format: date-time
            • verificationMethod
              kyc_profile
              or
              operator_exception
              required
            • exceptionId
              optional
              string
              or null
              format: uuid
          • affiliation
            object
            required
            • status
              verified
              required
            • verifiedAt
              string
              required
              format: date-time
            • verificationMethod
              accepted_current_membership_at_verified_capital_entity
              or
              operator_exception
              required
            • membershipId
              string
              or null
              required
              format: uuid
            • organizationId
              string
              required
              format: uuid
            • organizationName
              string
              required
              minLength: 1
            • organizationSlug
              string
              or null
              required
              minLength: 1
            • organizationType
              investor
              or
              fund
              required
            • role
              string
              or null
              required
              minLength: 1
            • title
              string
              or null
              required
              minLength: 1
            • expiresAt
              optional
              string
              or null
              format: date-time
            • exceptionId
              optional
              string
              or null
              format: uuid
      • publishedAt
        string
        required
        format: date-time
      • redirectedFromSlug
        optional
        string
    • recordSummary
      object
      required
      • listingId
        string
        required
        format: uuid
      • subjectType
        person
        or
        entity
        required
      • subjectId
        string
        or null
        required
      • claimStatus
        not_claimable
        or
        unclaimed
        or
        claim_pending
        or
        claimed
        required
      • verification
        object
        required
        • verified
          boolean
          required
        • verifiedAt
          string
          or null
          required
          format: date-time
      • reporting
        object
        required
        • reportsPublished
          integer
          required
          minimum: 0
        • publicReports
          integer
          required
          minimum: 0
        • reportingSince
          string
          or null
          required
          format: date-time
        • latestReportAt
          string
          or null
          required
          format: date-time
      • reportIndex
        array of
        object
        required
        • id
          string
          required
          format: uuid
        • title
          string
          required
        • publishedAt
          string
          required
          format: date-time
        • access
          public
          or
          permissioned
          required
      • viewer
        object
        or null
        required

        Present only for authenticated callers

        • following
          boolean
          required
        • accessStatus
          none
          or
          pending
          or
          active
          required
      • followers
        optional
        unknown
    • verification
      object
      required
      • verified
        boolean
        required
      • verifiedAt
        string
        or null
        required
        format: date-time
    • trustDimensions
      object
      required
      • organizationIdentity
        object
        required
        • status
          verified
          or
          controlled_not_verified
          or
          claim_pending
          or
          not_claimed
          required
        • verifiedAt
          string
          or null
          required
          format: date-time
      • referenceProvenance
        object
        required
        • status
          cited
          or
          none
          required
        • citedSourceCount
          integer
          required
          minimum: 0
        • lastCheckedAt
          string
          or null
          required
          format: date-time
      • sourceConnection
        object
        required
        • status
          none
          required
      • filingIntegrity
        object
        required
        • status
          timestamped
          or
          none
          required
        • timestampedFilings
          integer
          required
          minimum: 0
        • totalFilings
          integer
          required
          minimum: 0
      • managementCertification
        object
        required
        • status
          none
          required
      • externalAttestation
        object
        required
        • status
          none
          required
      • relationshipConfirmation
        object
        required
        • status
          confirmed
          or
          none
          required
        • confirmedCount
          integer
          required
          minimum: 0
    • provenance
      object
      required
      • identity
        object
        or null
        required
        • classification
          verified_identity
          required
        • verifiedAt
          string
          required
          format: date-time
        • verificationMethod
          string
          required
          minLength: 1
        • evidenceType
          entity_verification_event
          or
          kyc_profile
          or
          approved_identity_exception
          required
      • affiliation
        object
        or null
        required
        • classification
          verified_affiliation
          required
        • verifiedAt
          string
          required
          format: date-time
        • verificationMethod
          string
          required
          minLength: 1
        • evidenceType
          approved_affiliation_claim
          or
          accepted_current_membership
          or
          approved_affiliation_exception
          required
      • sources
        array of
        object
        required
        • id
          string
          required
        • kind
          string
          required
        • label
          string
          required
        • url
          string
          or null
          required
          format: uri
        • suppliedBy
          sureshake
          or
          organization
          required
        • checkedAt
          string
          or null
          required
          format: date-time
      • fields
        array of
        object
        required
        • field
          string
          required
        • suppliedBy
          sureshake
          or
          organization
          required
        • sourceKind
          string
          or null
          required
        • confidence
          string
          or null
          required
        • status
          current
          or
          disputed
          required
        • dataProvenance
          required

          Any of the following:

          • object
            • classification
              self_reported_profile_data
              required
            • reportedAt
              string
              required
              format: date-time
            • reportingActor
              subject
              or
              authorized_entity_representative
              or
              operator
              required
          • object
            • classification
              observed_public_data
              required
            • observedAt
              string
              required
              format: date-time
            • sourceKind
              string
              required
              minLength: 1
            • sourceReference
              string
              or null
              required
              minLength: 1
      • lastResearchedAt
        string
        or null
        required
        format: date-time
    • profileHistory
      object
      required
      • versions
        array of
        object
        required
        • version
          integer
          required
        • publishedAt
          string
          required
          format: date-time
      • lastMaterialUpdateAt
        string
        or null
        required
        format: date-time
    • actions
      object
      required
      • followProfile
        object
        required
        • state
          available
          or
          active
          or
          unavailable
          required
        • reasonCode
          optional
          PROFILE_UNCLAIMED
          or
          PROFILE_ARCHIVED
          or
          CLAIM_PENDING
          or
          NO_REQUESTABLE_PACKAGES
          or
          VIEWER_IS_MANAGER
          or
          RELATIONSHIP_PENDING
          +2 more
      • claimProfile
        object
        required
        • state
          available
          or
          pending
          or
          managed
          or
          unavailable
          required
        • reasonCode
          optional
          PROFILE_UNCLAIMED
          or
          PROFILE_ARCHIVED
          or
          CLAIM_PENDING
          or
          NO_REQUESTABLE_PACKAGES
          or
          VIEWER_IS_MANAGER
          or
          RELATIONSHIP_PENDING
          +2 more
      • inviteToClaim
        object
        required
        • state
          available
          or
          unavailable
          required
        • reasonCode
          optional
          PROFILE_UNCLAIMED
          or
          PROFILE_ARCHIVED
          or
          CLAIM_PENDING
          or
          NO_REQUESTABLE_PACKAGES
          or
          VIEWER_IS_MANAGER
          or
          RELATIONSHIP_PENDING
          +2 more
      • suggestCorrection
        object
        required
        • state
          available
          or
          unavailable
          required
        • reasonCode
          optional
          PROFILE_UNCLAIMED
          or
          PROFILE_ARCHIVED
          or
          CLAIM_PENDING
          or
          NO_REQUESTABLE_PACKAGES
          or
          VIEWER_IS_MANAGER
          or
          RELATIONSHIP_PENDING
          +2 more
      • requestPackages
        array of
        object
        required
        • packageId
          string
          required
        • title
          string
          required
        • kind
          fund_overview
          or
          track_record
          or
          investment_criteria
          or
          lp_materials
          or
          diligence
          or
          other
          required
        • state
          available
          or
          pending
          or
          active
          or
          expired
          or
          revoked
          or
          unavailable
          required
        • reasonCode
          optional
          PROFILE_UNCLAIMED
          or
          PROFILE_ARCHIVED
          or
          CLAIM_PENDING
          or
          NO_REQUESTABLE_PACKAGES
          or
          VIEWER_IS_MANAGER
          or
          RELATIONSHIP_PENDING
          +2 more
    • viewer
      object
      or null
      required

      Present only for authenticated callers

      • authenticated
        boolean
        required
      • selfOrManager
        boolean
        required
      • publicFollow
        required

        Any of the following:

        • object
          • status
            unavailable
            required
          • reason
            string
            required
        • object
          • status
            not_following
            required
        • object
          • status
            following
            required
      • relationship
        required

        Any of the following:

        • object
          • status
            none
            required
        • object
          • status
            pending
            required
          • requestId
            string
            required
            format: uuid
        • object
          • status
            active
            required
          • relationshipId
            string
            required
            format: uuid
      • packageAccess
        array of
        object
        required
        • packageId
          string
          required
        • status
          not_requested
          or
          pending
          or
          provisioning
          or
          active
          or
          failed
          or
          expired
          +1 more
          required
        • collectionId
          optional
          string
          format: uuid
        • expiresAt
          optional
          string
          or null
          format: date-time
      • canEditComposition
        optional
        boolean
    • composition
      optional
      object
      • source
        stored
        or
        default
        required
      • blocks
        array of
        object
        required
        • blockType
          header
          or
          trust
          or
          about
          or
          team
          or
          metrics
          or
          capital_graph
          +16 more
          required
        • order
          integer
          required
        • visibility
          optional
          public
          or
          follower
          or
          capital
          or
          diligence
          or
          custom
          default: "public"
        • config
          optional
          map of
          unknown
      • companyTabKeys
        optional
        array of
        overview
        or
        dividends
        or
        earnings_filings
        or
        models
        or
        financials
        or
        compare
        +11 more
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

429

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close